Skip to main content
GET
/
v1
/
calls
Fetch active calls
curl --request GET \
  --url https://api.wavix.com/v1/calls \
  --header 'Authorization: Bearer <token>'
{
  "calls": [
    {
      "uuid": "5dccb6b0-f35c-488c-867b-86fb012c4415",
      "event_type": "call_setup",
      "event_time": "2025-09-22T12:56:38.547Z",
      "event_payload": null,
      "from": "+18045961058",
      "to": "17653889567",
      "call_started": "2025-09-22T12:56:38.547Z",
      "call_answered": null,
      "call_completed": null,
      "machine_detected": false,
      "tag": "marketing-campaign",
      "direction": "inbound"
    }
  ],
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Response

A list of active calls

calls
object[]
required

List of calls

success
boolean
required

Indicates the succes request

Example:

true